Loading...
Searching...
No Matches
pappso::DeepProtEnumStr Class Reference

`#include <deepprotenum.h>`

## Static Public Member Functions

static const QString | toString (DeepProtMatchType match_type)
static const QString | toString (DeepProtPeptideCandidateStatus status)
static DeepProtPeptideCandidateStatus | DeepProtPeptideCandidateStatusFromString (const QString &name)
static DeepProtMatchType | DeepProtMatchTypeFromString (const QString &name)

## Detailed Description

Definition at line 72 of file deepprotenum.h.

## Member Function Documentation

## DeepProtMatchTypeFromString()

pappso::DeepProtMatchType pappso::DeepProtEnumStr::DeepProtMatchTypeFromString | ( | const QString & | name | ) |

static

Definition at line 38 of file deepprotenum.cpp.

{
DeepProtMatchType match_type = DeepProtMatchType::uncategorized;
if(name == "delta_position")
{
match_type = DeepProtMatchType::DeltaPosition;
}
else if(name == "no_delta_position")
{
match_type = DeepProtMatchType::NoDeltaPosition;
}
else if(name == "uncategorized")
{
match_type = DeepProtMatchType::uncategorized;
}
else if(name == "zero_mass_delta")
{
match_type = DeepProtMatchType::ZeroMassDelta;
}
else if(name == "zero_mass_delta_mc")
{
match_type = DeepProtMatchType::ZeroMassDeltaMissedCleavage;
}
else if(name == "zero_mass_delta_st")
{
match_type = DeepProtMatchType::ZeroMassDeltaSemiTryptic;
}
else
{
throw pappso::PappsoException(
QObject::tr("DeepProtMatchType unknown :\n%1").arg(name));
}
return match_type;
}
pappso::PappsoException
Definition pappsoexception.h:42
pappso::DeepProtMatchType
DeepProtMatchType
definition of different class of PSMs used by DeepProt
Definition deepprotenum.h:42
pappso::DeepProtMatchType::ZeroMassDeltaMissedCleavage
@ ZeroMassDeltaMissedCleavage
peptide candidate with missed cleavage is in precursor mz range
pappso::DeepProtMatchType::uncategorized
@ uncategorized
precursor mass was not compared
pappso::DeepProtMatchType::NoDeltaPosition
@ NoDeltaPosition
pappso::DeepProtMatchType::DeltaPosition
@ DeltaPosition
pappso::DeepProtMatchType::ZeroMassDelta
@ ZeroMassDelta
peptide candidate is in precursor mz range
pappso::DeepProtMatchType::ZeroMassDeltaSemiTryptic
@ ZeroMassDeltaSemiTryptic
semi tryptic peptide candidate is in precursor mz range

References pappso::DeltaPosition, pappso::NoDeltaPosition, pappso::uncategorized, pappso::ZeroMassDelta, pappso::ZeroMassDeltaMissedCleavage, and pappso::ZeroMassDeltaSemiTryptic.

## DeepProtPeptideCandidateStatusFromString()

pappso::DeepProtPeptideCandidateStatus pappso::DeepProtEnumStr::DeepProtPeptideCandidateStatusFromString | ( | const QString & | name | ) |

static

Definition at line 75 of file deepprotenum.cpp.

{
DeepProtPeptideCandidateStatus status =
DeepProtPeptideCandidateStatus::unmodified;
if(name == "cter_removal")
{
status = DeepProtPeptideCandidateStatus::CterRemoval;
}
else if(name == "delta_position")
{
status = DeepProtPeptideCandidateStatus::DeltaPosition;
}
else if(name == "missed_cleavage")
{
status = DeepProtPeptideCandidateStatus::MissedCleavage;
}
else if(name == "no_delta_position")
{
status = DeepProtPeptideCandidateStatus::NoDeltaPosition;
}
else if(name == "nter_removal")
{
status = DeepProtPeptideCandidateStatus::NterRemoval;
}
else if(name == "zero_mass_delta")
{
status = DeepProtPeptideCandidateStatus::ZeroMassDelta;
}
else
{
throw pappso::PappsoException(
QObject::tr("DeepProtPeptideCandidateStatus unknown :\n%1").arg(name));
}
return status;
}
pappso::DeepProtPeptideCandidateStatus
DeepProtPeptideCandidateStatus
definition of different status for potential peptide candidates on the same spectrum
Definition deepprotenum.h:61
pappso::DeepProtPeptideCandidateStatus::CterRemoval
@ CterRemoval
pappso::DeepProtPeptideCandidateStatus::unmodified
@ unmodified
precursor mass was not compared
pappso::DeepProtPeptideCandidateStatus::NoDeltaPosition
@ NoDeltaPosition
pappso::DeepProtPeptideCandidateStatus::MissedCleavage
@ MissedCleavage
pappso::DeepProtPeptideCandidateStatus::DeltaPosition
@ DeltaPosition
pappso::DeepProtPeptideCandidateStatus::ZeroMassDelta
@ ZeroMassDelta
pappso::DeepProtPeptideCandidateStatus::NterRemoval
@ NterRemoval

References pappso::CterRemoval, pappso::DeltaPosition, pappso::MissedCleavage, pappso::NoDeltaPosition, pappso::NterRemoval, pappso::unmodified, and pappso::ZeroMassDelta.

## toString() [1/2]

const QString pappso::DeepProtEnumStr::toString | ( | pappso::DeepProtMatchType | match_type | ) |

static

Definition at line 115 of file deepprotenum.cpp.

{
QString match_type_str;
switch(match_type)
{
case DeepProtMatchType::DeltaPosition:
match_type_str = "delta_position";
break;
case DeepProtMatchType::NoDeltaPosition:
match_type_str = "no_delta_position";
break;
case DeepProtMatchType::uncategorized:
match_type_str = "uncategorized";
break;
case DeepProtMatchType::ZeroMassDelta:
match_type_str = "zero_mass_delta";
break;
case DeepProtMatchType::ZeroMassDeltaMissedCleavage:
match_type_str = "zero_mass_delta_mc";
break;
case DeepProtMatchType::ZeroMassDeltaSemiTryptic:
match_type_str = "zero_mass_delta_st";
break;
default:
throw pappso::PappsoException(
QObject::tr("DeepProtMatchType unknown :\n%1")
.arg((std::uint8_t)match_type));
}
return match_type_str;
}

References pappso::DeltaPosition, pappso::NoDeltaPosition, pappso::uncategorized, pappso::ZeroMassDelta, pappso::ZeroMassDeltaMissedCleavage, and pappso::ZeroMassDeltaSemiTryptic.

## toString() [2/2]

const QString pappso::DeepProtEnumStr::toString | ( | pappso::DeepProtPeptideCandidateStatus | status | ) |

static

Definition at line 149 of file deepprotenum.cpp.

{
QString status_str;
switch(status)
{
case DeepProtPeptideCandidateStatus::CterRemoval:
status_str = "cter_removal";
break;
case DeepProtPeptideCandidateStatus::DeltaPosition:
status_str = "delta_position";
break;
case DeepProtPeptideCandidateStatus::MissedCleavage:
status_str = "missed_cleavage";
break;
case DeepProtPeptideCandidateStatus::NoDeltaPosition:
status_str = "no_delta_position";
break;
case DeepProtPeptideCandidateStatus::NterRemoval:
status_str = "nter_removal";
break;
case DeepProtPeptideCandidateStatus::ZeroMassDelta:
status_str = "zero_mass_delta";
break;
default:
throw pappso::PappsoException(
QObject::tr("DeepProtPeptideCandidateStatus unknown :\n%1")
.arg((std::uint8_t)status));
}
return status_str;
}

References pappso::CterRemoval, pappso::DeltaPosition, pappso::MissedCleavage, pappso::NoDeltaPosition, pappso::NterRemoval, and pappso::ZeroMassDelta.

The documentation for this class was generated from the following files:

- pappsomspp/psm/deepprot/deepprotenum.h
- pappsomspp/psm/deepprot/deepprotenum.cpp